## mame 0.221+dfsg.1

=== debian/changelog ===
mame (0.221+dfsg.1-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- ”SwampRabbit” <swamprabbit@mxlinux.org>  Wed, 10 Jun 2020 01:38:39 -0400

mame (0.221+dfsg.1-1) unstable; urgency=medium

  [ Cesare Falco ]
  * New upstream release.

  [ Jordi Mallach ]
  * Avoid gold linker on hppa and alpha too.

 -- Jordi Mallach <jordi@debian.org>  Thu, 28 May 2020 21:51:55 +0200

=== debian/control ===
Source: mame
Section: games
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Cesare Falco <c.falco@ubuntu.com>,
 Emmanuel Kasper <emmanuel@libera.cc>,
 Jordi Mallach <jordi@debian.org>
Build-Depends: debhelper-compat (= 12),
 dpkg-dev (>= 1.17),
 libexpat1-dev,
 libflac-dev,
 libfontconfig1-dev,
 libglm-dev,
 libjpeg-dev,
 liblua5.3-dev,
 libportmidi-dev [linux-any],
 libpugixml-dev,
 libsdl2-dev,
 libsdl2-ttf-dev,
 libsqlite3-dev,
 libutf8proc-dev,
 libutil-freebsd-dev [kfreebsd-any],
 libxinerama-dev,
 portaudio19-dev,
 python3-dev,
 qtbase5-dev,
 rapidjson-dev (>= 1.0),
 zlib1g-dev
Build-Depends-Indep: python3-sphinx
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/games-team/mame.git
Vcs-Browser: https://salsa.debian.org/games-team/mame
Homepage: https://mamedev.org/
XS-Autobuild: yes
Rules-Requires-Root: no

Package: mame
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 mame-data (= ${source:Version})
Replaces: mess (<< 0.162)
Breaks: mess (<< 0.162)
Suggests: gnome-video-arcade,
 mame-doc,
 mame-extra,
 mame-tools
Description: Multiple Arcade Machine Emulator (MAME)
 MAME is a hardware emulator: it faithfully reproduces the behavior of many
 arcade machines (it is not a simulation). This program is not a game but can
 directly, through ROM images, run the complete system of these old arcade
 machines. These ROMs are subject to copyright and it is in most of the cases
 illegal to use them if you do not own the arcade machine.
 .
 This package provides the MAME binary and configuration files.

Package: mame-data
Architecture: all
Depends: ${misc:Depends}
Replaces: mess-data (<< 0.162)
Breaks: mess-data (<< 0.162)
Multi-Arch: foreign
Description: Multiple Arcade Machine Emulator (MAME) -- data files
 MAME is a hardware emulator: it faithfully reproduces the behavior of many
 arcade machines (it is not a simulation). This program is not a game but can
 directly, through ROM images, run the complete system of these old arcade
 machines. These ROMs are subject to copyright and it is in most of the cases
 illegal to use them if you do not own the arcade machine.
 .
 This package provides MAME hash files, keymaps, artwork, language files,
 shaders, plugins and audio samples.

Package: mame-tools
Section: utils
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends}
Recommends: mame (= ${source:Version})
Description: Tools for MAME
 MAME is a hardware emulator: it faithfully reproduces the behavior of many
 arcade machines (it is not a simulation).
 .
 This package provides tools to be used with MAME. It currently contains:
  castool -- generic cassette manipulation tool for MAME
  chdman -- MAME Compressed Hunks of Data CHD manager
  floptool -- Generic floppy image manipulation tool for MESS
  imgtool -- generic image manipulation tool for MAME
  jedutil -- binary to/from JEDEC file converter
  ldresample -- Laserdisc audio synchronizer and resampler
  ldverify -- Laserdisc AVI/CHD verifier
  romcmp -- ROM comparison utility program

Package: mame-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libjs-sphinxdoc, libjs-mathjax
Enhances: mame
Multi-Arch: foreign
Description: Documentation for MAME
 MAME is a hardware emulator: it faithfully reproduces the behavior of many
 arcade machines (it is not a simulation).
 .
 This is sphinx-generated full documentation for the MAME system.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
# Default/i386/amd64 options from sdlmame rules file by Cesare Falco.

#export DH_VERBOSE = 1

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_HOST_ARCH_BITS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)

# Define DEB_HOST_MULTIARCH for QT prefix handling
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# add c++ hardening options (upstream makefile doesn't use CPPFLAGS)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)

# taken verbatim from debian policy
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
MAKEFLAGS += -j$(NUMJOBS)
endif

# Use the less-greedy-for-memory Gold linker whenever available
LINK_WITH_GOLD = 1

# Override relevant make variables in original makefile
DEB_OPTS = \
    NOWERROR=1 \
    OSD=sdl \
    DEBUG= \
    TARGETOS=linux \
    DISTRO=debian-stable \
    FORCE_DRC_C_BACKEND=1 \
    PTR64= \
    BIGENDIAN= \
    NOASM=1 \
    PYTHON_EXECUTABLE=python3 \
    QT_HOME=/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/ \
    USE_SYSTEM_LIB_ASIO= \
    USE_SYSTEM_LIB_EXPAT=1 \
    USE_SYSTEM_LIB_ZLIB=1 \
    USE_SYSTEM_LIB_JPEG=1 \
    USE_SYSTEM_LIB_FLAC=1 \
    USE_SYSTEM_LIB_LUA=lua5.3:/usr/include/lua5.3 \
    USE_SYSTEM_LIB_SQLITE3=1 \
    USE_SYSTEM_LIB_PORTMIDI=1 \
    USE_SYSTEM_LIB_PORTAUDIO=1 \
    USE_BUNDLED_LIB_SDL2= \
    USE_SYSTEM_LIB_UTF8PROC=1 \
    USE_SYSTEM_LIB_GLM=1 \
    USE_SYSTEM_LIB_RAPIDJSON=1 \
    USE_SYSTEM_LIB_PUGIXML=1 \
    VERBOSE=1

# Make build less verbose if requested
ifneq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
DEB_OPTS += \
    VERBOSE=
endif

# Set specific arch options
ifeq ($(DEB_HOST_ARCH),alpha)
DEB_OPTS += \
    PTR64=1
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),amd64)
DEB_OPTS += \
    FORCE_DRC_C_BACKEND= \
    PTR64=1 \
    NOASM=
endif

ifeq ($(DEB_HOST_ARCH),arm64)
DEB_OPTS += \
    ARCHOPTS="-mabi=lp64 -fPIC"
endif

ifeq ($(DEB_HOST_ARCH),armhf)
export DEB_LDFLAGS_MAINT_APPEND += -Wl,--allow-multiple-definition
endif

ifeq ($(DEB_HOST_ARCH),i386)
DEB_OPTS += \
    FORCE_DRC_C_BACKEND= \
    NOASM=
endif

ifeq ($(DEB_HOST_ARCH),hppa)
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),ia64)
DEB_OPTS += \
    PTR64=1
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),m68k)
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),mips)
DEB_OPTS += \
    ARCHOPTS=-Umips \
    BIGENDIAN=1
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),mipsel)
DEB_OPTS += \
    ARCHOPTS=-Umips
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),mips64el)
endif

ifeq ($(DEB_HOST_ARCH),powerpc)
DEB_OPTS += \
    ARCHOPTS=-Upowerpc \
    NOASM= \
    BIGENDIAN=1
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),ppc64)
DEB_OPTS += \
    PTR64=1 \
    NOASM= \
    BIGENDIAN=1
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),ppc64el)
DEB_OPTS += \
    PTR64=1 \
    NOASM=
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),riscv64)
DEB_OPTS += \
    PTR64=1
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),s390)
DEB_OPTS += \
    BIGENDIAN=1
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),s390x)
DEB_OPTS += \
    PTR64=1 \
    BIGENDIAN=1
endif

ifeq ($(DEB_HOST_ARCH),sh4)
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),sparc)
DEB_OPTS += \
    BIGENDIAN=1
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),sparc64)
DEB_OPTS += \
    PTR64=1 \
    BIGENDIAN=1
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),x32)
DEB_OPTS += \
    FORCE_DRC_C_BACKEND= \
    NOASM=
endif

# kFreeBSD architectures
ifeq ($(DEB_HOST_ARCH),kfreebsd-amd64)
DEB_OPTS += \
    TARGETOS=freebsd \
    FORCE_DRC_C_BACKEND= \
    PTR64=1 \
    NOASM= \
    USE_SYSTEM_LIB_PORTMIDI=
export DEB_LDFLAGS_MAINT_APPEND = -ldl
endif

ifeq ($(DEB_HOST_ARCH),kfreebsd-i386)
DEB_OPTS += \
    TARGETOS=freebsd \
    FORCE_DRC_C_BACKEND= \
    NOASM= \
    USE_SYSTEM_LIB_PORTMIDI=
export DEB_LDFLAGS_MAINT_APPEND = -ldl
endif

# GNU/Hurd architecture
ifeq ($(DEB_HOST_ARCH),hurd-i386)
DEB_OPTS += \
    TARGETOS=gnu \
    FORCE_DRC_C_BACKEND= \
    NOASM= \
    USE_SYSTEM_LIB_PORTMIDI= \
    NO_USE_MIDI=1
LINK_WITH_GOLD =
endif

DEB_MAME_OPTS = \
    SDL_INI_PATH=/etc/mame \
    FULLNAME=mame \
    TARGET=mame \
    SUBTARGET=mame \
    TOOLS=1

ifdef LINK_WITH_GOLD
export DEB_LDFLAGS_MAINT_PREPEND += \
    -fuse-ld=gold -Wl,--no-keep-memory
else
# Sacrifice linking speed to avoid using so much memory
export DEB_LDFLAGS_MAINT_APPEND += \
    -Wl,--no-keep-memory,--reduce-memory-overheads,--hash-size=31
endif

ifdef DH_VERBOSE
export DEB_LDFLAGS_MAINT_APPEND += -Wl,--verbose,--trace
endif

ifndef DEBUG
# Disable -g entirely
CFLAGS := $(CFLAGS:-g=-g0)
endif

%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_auto_build-arch:
	$(MAKE) $(DEB_OPTS) $(DEB_MAME_OPTS)
	-mv mame64 mame #FIXME
	$(CURDIR)/mame -createconfig
	mv mame.ini default.mame.ini
	mv plugin.ini default.plugin.ini
	mv ui.ini default.ui.ini

override_dh_auto_build-indep:
	$(MAKE) -C docs singlehtml

override_dh_auto_test-arch:
	# Run MAME's internal validation tests
	-$(CURDIR)/mame -validate

override_dh_install:
	dh_install --exclude=dir.txt \
		   --exclude=LICENSE \
		   --exclude=README.md

override_dh_missing:
	dh_missing --fail-missing

override_dh_fixperms-arch:
	dh_fixperms
	find debian/mame/etc/mame -type f -execdir chmod 644 {} \;

override_dh_fixperms-indep:
	dh_fixperms
	find debian/mame-data/usr/share/games/mame/artwork -type f -execdir chmod 644 {} \;
	find debian/mame-data/usr/share/games/mame/bgfx -type f -execdir chmod 644 {} \;
	find debian/mame-data/usr/share/games/mame/ctrlr -type f -execdir chmod 644 {} \;
	find debian/mame-data/usr/share/games/mame/fonts -type f -execdir chmod 644 {} \;
	find debian/mame-data/usr/share/games/mame/hash -type f -execdir chmod 644 {} \;
	find debian/mame-data/usr/share/games/mame/keymaps -type f -execdir chmod 644 {} \;
	find debian/mame-data/usr/share/games/mame/language -type f -name "*.po" -delete
	find debian/mame-data/usr/share/games/mame/language -type f -execdir chmod 644 {} \;
	find debian/mame-data/usr/share/games/mame/plugins -type f -execdir chmod 644 {} \;

## mame 0.222+dfsg.1

=== debian/changelog ===
mame (0.222+dfsg.1-0.1~mx19+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 06 Jul 2020 15:08:20 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: mame
 Section: games
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Cesare Falco <c.falco@ubuntu.com>,
  Emmanuel Kasper <emmanuel@libera.cc>,

=== debian/rules ===
--- 
+++ 
@@ -244,9 +244,6 @@
 %:
 	dh $@
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
 override_dh_auto_build-arch:
 	$(MAKE) $(DEB_OPTS) $(DEB_MAME_OPTS)
 	-mv mame64 mame #FIXME
@@ -285,3 +282,6 @@
 	find debian/mame-data/usr/share/games/mame/language -type f -name "*.po" -delete
 	find debian/mame-data/usr/share/games/mame/language -type f -execdir chmod 644 {} \;
 	find debian/mame-data/usr/share/games/mame/plugins -type f -execdir chmod 644 {} \;
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## mame 0.224+dfsg.1

=== debian/changelog ===
mame (0.224+dfsg.1-2) unstable; urgency=medium

  * Set NOASM=1 for hppa, m68k, mips64el, mipsel and sh4.

 -- Jordi Mallach <jordi@debian.org>  Mon, 31 Aug 2020 07:51:45 +0200

mame (0.224+dfsg.1-1) unstable; urgency=medium

  [ Cesare Falco ]
  * New upstream release.
  * Updated patches.

  [ Jordi Mallach ]
  * Let the build system figure out FORCE_DRC_C_BACKEND and NOASM
    (hopefully closes: #968883).

 -- Jordi Mallach <jordi@debian.org>  Sat, 29 Aug 2020 21:43:12 +0200

mame (0.223+dfsg.1-1) unstable; urgency=medium

  [ Cesare Falco ]
  * New upstream release.
    - fixes ftbfs after toolchain upgrades (closes: #966911).

  [ Jordi Mallach ]
  * Do not pass -m64 on alpha.
  * Drop ftbfs_arm_asmjit.patch, unneeded in new upstream version.

 -- Jordi Mallach <jordi@debian.org>  Wed, 12 Aug 2020 19:36:58 +0200

mame (0.222+dfsg.1-2) unstable; urgency=medium

  * Add patch from upstream git to fix ARM builds.

 -- Jordi Mallach <jordi@debian.org>  Mon, 06 Jul 2020 19:43:00 +0200

mame (0.222+dfsg.1-1) unstable; urgency=medium

  [ Cesare Falco ]
  * New upstream release.

  [ Jordi Mallach ]
  * Bump Debhelper compat to v13.

 -- Jordi Mallach <jordi@debian.org>  Mon, 06 Jul 2020 04:09:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: mame
 Section: games
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Cesare Falco <c.falco@ubuntu.com>,
  Emmanuel Kasper <emmanuel@libera.cc>,
  Jordi Mallach <jordi@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  dpkg-dev (>= 1.17),
  libexpat1-dev,
  libflac-dev,

=== debian/rules ===
--- 
+++ 
@@ -34,10 +34,8 @@
     DEBUG= \
     TARGETOS=linux \
     DISTRO=debian-stable \
-    FORCE_DRC_C_BACKEND=1 \
     PTR64= \
     BIGENDIAN= \
-    NOASM=1 \
     PYTHON_EXECUTABLE=python3 \
     QT_HOME=/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/ \
     USE_SYSTEM_LIB_ASIO= \
@@ -71,9 +69,7 @@
 
 ifeq ($(DEB_HOST_ARCH),amd64)
 DEB_OPTS += \
-    FORCE_DRC_C_BACKEND= \
-    PTR64=1 \
-    NOASM=
+    PTR64=1
 endif
 
 ifeq ($(DEB_HOST_ARCH),arm64)
@@ -85,14 +81,10 @@
 export DEB_LDFLAGS_MAINT_APPEND += -Wl,--allow-multiple-definition
 endif
 
-ifeq ($(DEB_HOST_ARCH),i386)
-DEB_OPTS += \
-    FORCE_DRC_C_BACKEND= \
-    NOASM=
-endif
-
 ifeq ($(DEB_HOST_ARCH),hppa)
 LINK_WITH_GOLD =
+DEB_OPTS += \
+    NOASM=1
 endif
 
 ifeq ($(DEB_HOST_ARCH),ia64)
@@ -103,6 +95,8 @@
 
 ifeq ($(DEB_HOST_ARCH),m68k)
 LINK_WITH_GOLD =
+DEB_OPTS += \
+    NOASM=1
 endif
 
 ifeq ($(DEB_HOST_ARCH),mips)
@@ -114,17 +108,19 @@
 
 ifeq ($(DEB_HOST_ARCH),mipsel)
 DEB_OPTS += \
-    ARCHOPTS=-Umips
+    ARCHOPTS=-Umips \
+    NOASM=1
 LINK_WITH_GOLD =
 endif
 
 ifeq ($(DEB_HOST_ARCH),mips64el)
+DEB_OPTS += \
+    NOASM=1
 endif
 
 ifeq ($(DEB_HOST_ARCH),powerpc)
 DEB_OPTS += \
     ARCHOPTS=-Upowerpc \
-    NOASM= \
     BIGENDIAN=1
 LINK_WITH_GOLD =
 endif
@@ -132,15 +128,13 @@
 ifeq ($(DEB_HOST_ARCH),ppc64)
 DEB_OPTS += \
     PTR64=1 \
-    NOASM= \
     BIGENDIAN=1
 LINK_WITH_GOLD =
 endif
 
 ifeq ($(DEB_HOST_ARCH),ppc64el)
 DEB_OPTS += \
-    PTR64=1 \
-    NOASM=
+    PTR64=1
 LINK_WITH_GOLD =
 endif
 
@@ -164,6 +158,8 @@
 
 ifeq ($(DEB_HOST_ARCH),sh4)
 LINK_WITH_GOLD =
+DEB_OPTS += \
+    NOASM=1
 endif
 
 ifeq ($(DEB_HOST_ARCH),sparc)
@@ -177,21 +173,13 @@
     PTR64=1 \
     BIGENDIAN=1
 LINK_WITH_GOLD =
-endif
-
-ifeq ($(DEB_HOST_ARCH),x32)
-DEB_OPTS += \
-    FORCE_DRC_C_BACKEND= \
-    NOASM=
 endif
 
 # kFreeBSD architectures
 ifeq ($(DEB_HOST_ARCH),kfreebsd-amd64)
 DEB_OPTS += \
     TARGETOS=freebsd \
-    FORCE_DRC_C_BACKEND= \
-    PTR64=1 \
-    NOASM= \
+    PTR64=1 \
     USE_SYSTEM_LIB_PORTMIDI=
 export DEB_LDFLAGS_MAINT_APPEND = -ldl
 endif
@@ -199,8 +187,6 @@
 ifeq ($(DEB_HOST_ARCH),kfreebsd-i386)
 DEB_OPTS += \
     TARGETOS=freebsd \
-    FORCE_DRC_C_BACKEND= \
-    NOASM= \
     USE_SYSTEM_LIB_PORTMIDI=
 export DEB_LDFLAGS_MAINT_APPEND = -ldl
 endif
@@ -209,8 +195,6 @@
 ifeq ($(DEB_HOST_ARCH),hurd-i386)
 DEB_OPTS += \
     TARGETOS=gnu \
-    FORCE_DRC_C_BACKEND= \
-    NOASM= \
     USE_SYSTEM_LIB_PORTMIDI= \
     NO_USE_MIDI=1
 LINK_WITH_GOLD =
@@ -282,6 +266,3 @@
 	find debian/mame-data/usr/share/games/mame/language -type f -name "*.po" -delete
 	find debian/mame-data/usr/share/games/mame/language -type f -execdir chmod 644 {} \;
 	find debian/mame-data/usr/share/games/mame/plugins -type f -execdir chmod 644 {} \;
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## mame 0.225+dfsg.1

=== debian/changelog ===
mame (0.225+dfsg.1-1) unstable; urgency=medium

  [ Cesare Falco ]
  * New upstream release.
  * Updated patches.

  [ Jordi Mallach ]
  * Yet another attempt at fixing MPARAM.

 -- Jordi Mallach <jordi@debian.org>  Fri, 16 Oct 2020 22:42:58 +0200

mame (0.224+dfsg.1-3) unstable; urgency=medium

  * Fix logic for alpha MPARAM patch and extend it to ia64.
  * Set NOASM=1 for sparc64 too.
  * Fix mips64el build adding DEB_CXXFLAGS_MAINT_APPEND += -mxgot to
    its arch config. Thanks to Adrian Bunk for the fix (closes: #969498).

 -- Jordi Mallach <jordi@debian.org>  Fri, 04 Sep 2020 10:39:15 +0200

## mame 0.226+dfsg.1

=== debian/changelog ===
mame (0.226+dfsg.1-1build1) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as default.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Nov 2020 18:35:47 +0100

mame (0.226+dfsg.1-1) unstable; urgency=medium

  * New upstream release.
  * Updated patches.

 -- Cesare Falco <c.falco@ubuntu.com>  Wed, 28 Oct 2020 15:46:00 +0100

=== debian/rules ===
--- 
+++ 
@@ -116,6 +116,7 @@
 ifeq ($(DEB_HOST_ARCH),mips64el)
 DEB_OPTS += \
     NOASM=1
+export DEB_CXXFLAGS_MAINT_APPEND += -mxgot
 endif
 
 ifeq ($(DEB_HOST_ARCH),powerpc)
@@ -171,7 +172,8 @@
 ifeq ($(DEB_HOST_ARCH),sparc64)
 DEB_OPTS += \
     PTR64=1 \
-    BIGENDIAN=1
+    BIGENDIAN=1 \
+    NOASM=1
 LINK_WITH_GOLD =
 endif

## mame 0.227+dfsg.1

=== debian/changelog ===
mame (0.227+dfsg.1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 11 Jan 2021 16:10:59 -0800

mame (0.227+dfsg.1-1) unstable; urgency=medium

  * New upstream release.
  * Updated patches.

 -- Cesare Falco <c.falco@ubuntu.com>  Thu, 31 Dec 2020 16:56:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,32 @@
 Source: mame
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Cesare Falco <c.falco@ubuntu.com>,
- Emmanuel Kasper <emmanuel@libera.cc>,
- Jordi Mallach <jordi@debian.org>
-Build-Depends: debhelper-compat (= 13),
- dpkg-dev (>= 1.17),
- libexpat1-dev,
- libflac-dev,
- libfontconfig1-dev,
- libglm-dev,
- libjpeg-dev,
- liblua5.3-dev,
- libportmidi-dev [linux-any],
- libpugixml-dev,
- libsdl2-dev,
- libsdl2-ttf-dev,
- libsqlite3-dev,
- libutf8proc-dev,
- libutil-freebsd-dev [kfreebsd-any],
- libxinerama-dev,
- portaudio19-dev,
- python3-dev,
- qtbase5-dev,
- rapidjson-dev (>= 1.0),
- zlib1g-dev
+           Emmanuel Kasper <emmanuel@libera.cc>,
+           Jordi Mallach <jordi@debian.org>
+Build-Depends: debhelper-compat (= 12),
+               dpkg-dev (>= 1.17),
+               libexpat1-dev,
+               libflac-dev,
+               libfontconfig1-dev,
+               libglm-dev,
+               libjpeg-dev,
+               liblua5.3-dev,
+               libportmidi-dev [linux-any],
+               libpugixml-dev,
+               libsdl2-dev,
+               libsdl2-ttf-dev,
+               libsqlite3-dev,
+               libutf8proc-dev,
+               libutil-freebsd-dev [kfreebsd-any],
+               libxinerama-dev,
+               portaudio19-dev,
+               python3-dev,
+               qtbase5-dev,
+               rapidjson-dev (>= 1.0),
+               zlib1g-dev
 Build-Depends-Indep: python3-sphinx
 Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/games-team/mame.git
@@ -36,15 +37,10 @@
 
 Package: mame
 Architecture: any
-Depends: ${misc:Depends},
- ${shlibs:Depends},
- mame-data (= ${source:Version})
+Depends: mame-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
 Replaces: mess (<< 0.162)
 Breaks: mess (<< 0.162)
-Suggests: gnome-video-arcade,
- mame-doc,
- mame-extra,
- mame-tools
+Suggests: gnome-video-arcade, mame-doc, mame-extra, mame-tools
 Description: Multiple Arcade Machine Emulator (MAME)
  MAME is a hardware emulator: it faithfully reproduces the behavior of many
  arcade machines (it is not a simulation). This program is not a game but can
@@ -73,8 +69,7 @@
 Package: mame-tools
 Section: utils
 Architecture: any
-Depends: ${misc:Depends},
- ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: mame (= ${source:Version})
 Description: Tools for MAME
  MAME is a hardware emulator: it faithfully reproduces the behavior of many
@@ -94,7 +89,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: libjs-sphinxdoc, libjs-mathjax
+Suggests: libjs-mathjax, libjs-sphinxdoc
 Enhances: mame
 Multi-Arch: foreign
 Description: Documentation for MAME

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 # taken verbatim from debian policy
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+NUMJOBS = 5
 MAKEFLAGS += -j$(NUMJOBS)
 endif
 
@@ -268,3 +268,6 @@
 	find debian/mame-data/usr/share/games/mame/language -type f -name "*.po" -delete
 	find debian/mame-data/usr/share/games/mame/language -type f -execdir chmod 644 {} \;
 	find debian/mame-data/usr/share/games/mame/plugins -type f -execdir chmod 644 {} \;
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## mame 0.228%2Bdfsg.1

=== 3rdparty/asmjit/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5 FATAL_ERROR)

cmake_policy(PUSH)

if(POLICY CMP0063)
  cmake_policy(SET CMP0063 NEW) # Honor visibility properties.
endif()

if(POLICY CMP0092)
  cmake_policy(SET CMP0092 NEW) # Don't add -W3 warning level by default.
endif()

include(CheckCXXCompilerFlag)

# Don't create a project if it was already created by another CMakeLists.txt.
# This allows one library to embed another library without making a collision.
if (NOT CMAKE_PROJECT_NAME OR "${CMAKE_PROJECT_NAME}" STREQUAL "asmjit")
  project(asmjit CXX)
endif()

# =============================================================================
# [AsmJit - Deprecated]
# =============================================================================

if (DEFINED ASMJIT_BUILD_EMBED)
  message(DEPRECATION "ASMJIT_BUILD_EMBED is deprecated, use ASMJIT_EMBED")
  set(ASMJIT_EMBED "${ASMJIT_BUILD_EMBED}")
endif()

if (DEFINED ASMJIT_BUILD_STATIC)
  message(DEPRECATION "ASMJIT_BUILD_STATIC is deprecated, use ASMJIT_STATIC")
  set(ASMJIT_STATIC "${ASMJIT_BUILD_STATIC}")
endif()

# =============================================================================
# [AsmJit - Configuration]
# =============================================================================

if (NOT DEFINED ASMJIT_EMBED)
  set(ASMJIT_EMBED FALSE)
endif()

if (NOT DEFINED ASMJIT_STATIC)
  set(ASMJIT_STATIC ${ASMJIT_EMBED})
endif()

if (NOT DEFINED ASMJIT_BUILD_ARM)
  set(ASMJIT_BUILD_ARM FALSE)
endif()

if (NOT DEFINED ASMJIT_BUILD_X86)
  set(ASMJIT_BUILD_X86 FALSE)
endif()

if (NOT DEFINED ASMJIT_TEST)
  set(ASMJIT_TEST FALSE)
endif()

if (NOT DEFINED ASMJIT_NO_NATVIS)
  set(ASMJIT_NO_NATVIS FALSE)
endif()

# EMBED implies STATIC.
if (ASMJIT_EMBED AND NOT ASMJIT_STATIC)
  set(ASMJIT_STATIC TRUE)
endif()

set(ASMJIT_DIR        "${CMAKE_CURRENT_LIST_DIR}" CACHE PATH "Location of 'asmjit'")
set(ASMJIT_TEST       ${ASMJIT_TEST}              CACHE BOOL "Build 'asmjit' test applications")
set(ASMJIT_EMBED      ${ASMJIT_EMBED}             CACHE BOOL "Embed 'asmjit' library (no targets)")
set(ASMJIT_STATIC     ${ASMJIT_STATIC}            CACHE BOOL "Build 'asmjit' library as static")
set(ASMJIT_SANITIZE   ${ASMJIT_SANITIZE}          CACHE STRING "Build with sanitizers: 'address', 'undefined', etc...")
set(ASMJIT_BUILD_X86  ${ASMJIT_BUILD_X86}         CACHE BOOL "Build X86 backends (X86 and X86_64)")
set(ASMJIT_BUILD_ARM  ${ASMJIT_BUILD_ARM}         CACHE BOOL "Build ARM backends (ARM/Trumb and AArch64")

# =============================================================================
# [AsmJit - Project]
# =============================================================================

set(ASMJIT_INCLUDE_DIRS "${ASMJIT_DIR}/src")     # Include directory is the same as source dir.
set(ASMJIT_DEPS "")                              # AsmJit dependencies (libraries) for the linker.
set(ASMJIT_LIBS "")                              # Dependencies of libs/apps that want to use AsmJit.
set(ASMJIT_CFLAGS "")                            # Public compiler flags.
set(ASMJIT_PRIVATE_CFLAGS "")                    # Private compiler flags independent of build type.
set(ASMJIT_PRIVATE_CFLAGS_DBG "")                # Private compiler flags used by debug builds.
set(ASMJIT_PRIVATE_CFLAGS_REL "")                # Private compiler flags used by release builds.
set(ASMJIT_SANITIZE_CFLAGS "")                   # Compiler flags required by currently enabled sanitizers.
set(ASMJIT_SANITIZE_LFLAGS "")                   # Linker flags required by currently enabled sanitizers.

# =============================================================================
# [AsmJit - Utilities]
# =============================================================================

function(asmjit_detect_cflags out)
  set(out_array ${${out}})
  foreach(flag ${ARGN})
    string(REGEX REPLACE "[+]" "x" flag_signature "${flag}")
    string(REGEX REPLACE "[-=:;/.\]" "_" flag_signature "${flag_signature}")
    check_cxx_compiler_flag(${flag} "__CxxFlag_${flag_signature}")
    if (${__CxxFlag_${flag_signature}})
      list(APPEND out_array "${flag}")
    endif()
  endforeach()
  set(${out} "${out_array}" PARENT_SCOPE)
endfunction()

# Support for various sanitizers provided by C/C++ compilers.
function(asmjit_detect_sanitizers out)
  set(_out_array ${${out}})
  set(_flags "")

  foreach(_arg ${ARGN})
    string(REPLACE "," ";" _arg "${_arg}")
    list(APPEND _flags ${_arg})
  endforeach()

  foreach(_flag ${_flags})
    if (NOT "${_flag}" MATCHES "^-fsanitize=")
      SET(_flag "-fsanitize=${_flag}")
    endif()

    # Sanitizers also require link flags, see CMAKE_REQUIRED_FLAGS.
    set(CMAKE_REQUIRED_FLAGS "${_flag}")
    asmjit_detect_cflags(_out_array ${_flag})
    unset(CMAKE_REQUIRED_FLAGS)
  endforeach()

  set(${out} "${_out_array}" PARENT_SCOPE)
endfunction()

function(asmjit_add_target target target_type)
  set(single_val "")
  set(multi_val SOURCES LIBRARIES CFLAGS CFLAGS_DBG CFLAGS_REL)
  cmake_parse_arguments("X" "" "${single_val}" "${multi_val}" ${ARGN})

  if ("${target_type}" MATCHES "^(EXECUTABLE|TEST)$")
    add_executable(${target} ${X_SOURCES})
  else()
    add_library(${target} ${target_type} ${X_SOURCES})
  endif()

  target_link_libraries(${target} PRIVATE ${X_LIBRARIES})

  # target_link_options was added in cmake v3.13, don't use it for now...
  foreach(link_flag ${ASMJIT_SANITIZE_LFLAGS})
    set_property(TARGET ${target} APPEND_STRING PROPERTY LINK_FLAGS " ${link_flag}")
  endforeach()

  if (${CMAKE_VERSION} VERSION_LESS "3.8.0")
    set_property(TARGET ${target} PROPERTY CXX_STANDARD 11)
  else()
    target_compile_features(${target} PUBLIC cxx_std_11)
  endif()
  set_property(TARGET ${target} PROPERTY CXX_EXTENSIONS NO)
  set_property(TARGET ${target} PROPERTY CXX_VISIBILITY_PRESET hidden)
  target_compile_options(${target} PRIVATE ${X_CFLAGS} ${ASMJIT_SANITIZE_CFLAGS} $<$<CONFIG:Debug>:${X_CFLAGS_DBG}> $<$<NOT:$<CONFIG:Debug>>:${X_CFLAGS_REL}>)

  if ("${target_type}" STREQUAL "TEST")
    add_test(NAME ${target} COMMAND ${target})
  endif()
endfunction()

# =============================================================================
# [AsmJit - Compiler Support]
# =============================================================================

set(ASMJIT_INCLUDE_DIRS "${ASMJIT_DIR}/src")     # Include directory is the same as source dir.
set(ASMJIT_DEPS "")                              # AsmJit dependencies (libraries) for the linker.
set(ASMJIT_LIBS "")                              # Dependencies of libs/apps that want to use AsmJit.
set(ASMJIT_CFLAGS "")                            # Public compiler flags.
set(ASMJIT_PRIVATE_CFLAGS "")                    # Private compiler flags independent of build type.
set(ASMJIT_PRIVATE_CFLAGS_DBG "")                # Private compiler flags used by debug builds.
set(ASMJIT_PRIVATE_CFLAGS_REL "")                # Private compiler flags used by release builds.
set(ASMJIT_SANITIZE_CFLAGS "")                   # Compiler flags required by currently enabled sanitizers.
set(ASMJIT_SANITIZE_LFLAGS "")                   # Linker flags required by currently enabled sanitizers.

# We will have to keep this most likely forever as some users may still be using it.
set(ASMJIT_INCLUDE_DIR "${ASMJIT_INCLUDE_DIRS}")

if (NOT ASMJIT_NO_CUSTOM_FLAGS)
  if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "MSVC" OR "x${CMAKE_CXX_SIMULATE_ID}" STREQUAL "xMSVC")
    list(APPEND ASMJIT_PRIVATE_CFLAGS
      -MP                      # [+] Multi-Process Compilation.
      -GF                      # [+] Eliminate duplicate strings.
      -Zc:inline               # [+] Remove unreferenced COMDAT.
      -Zc:strictStrings        # [+] Strict const qualification of string literals.
      -Zc:threadSafeInit-      # [-] Thread-safe statics.
      -W4)                     # [+] Warning level 4.

    list(APPEND ASMJIT_PRIVATE_CFLAGS_DBG
      -GS)                     # [+] Buffer security-check.

    list(APPEND ASMJIT_PRIVATE_CFLAGS_REL
      -GS-                     # [-] Buffer security-check.
      -O2                      # [+] Favor speed over size.
      -Oi)                     # [+] Generate intrinsic functions.
  elseif ("${CMAKE_CXX_COMPILER_ID}" MATCHES "^(GNU|Clang|AppleClang)$")
    list(APPEND ASMJIT_PRIVATE_CFLAGS -Wall -Wextra -Wconversion)
    list(APPEND ASMJIT_PRIVATE_CFLAGS -fno-math-errno)
    list(APPEND ASMJIT_PRIVATE_CFLAGS_REL -O2)

    asmjit_detect_cflags(ASMJIT_PRIVATE_CFLAGS
      -fno-threadsafe-statics
      -fno-semantic-interposition)

    # The following flags can save few bytes in the resulting binary.
    asmjit_detect_cflags(ASMJIT_PRIVATE_CFLAGS_REL
      -fmerge-all-constants    # Merge all constants even if it violates ISO C++.
      -fno-enforce-eh-specs)   # Don't enforce termination if noexcept function throws.
  endif()
endif()

# Support for sanitizers.
if (ASMJIT_SANITIZE)
  ASMJIT_detect_sanitizers(ASMJIT_SANITIZE_CFLAGS ${ASMJIT_SANITIZE})
  if (ASMJIT_SANITIZE_CFLAGS)
    message("-- Enabling sanitizers: '${ASMJIT_SANITIZE_CFLAGS}'")

    # Linker must receive the same flags as the compiler when it comes to sanitizers.
    set(ASMJIT_SANITIZE_LFLAGS ${ASMJIT_SANITIZE_CFLAGS})

    # Don't omit frame pointer if sanitizers are enabled.
    if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "MSVC" OR "x${CMAKE_CXX_SIMULATE_ID}" STREQUAL "xMSVC")
      list(APPEND ASMJIT_SANITIZE_CFLAGS -Oy-)
    else()
      list(APPEND ASMJIT_SANITIZE_CFLAGS -fno-omit-frame-pointer -g)
    endif()

    list(APPEND ASMJIT_PRIVATE_CFLAGS ${ASMJIT_SANITIZE_CFLAGS})
    list(APPEND ASMJIT_PRIVATE_LFLAGS ${ASMJIT_SANITIZE_LFLAGS})
  endif()
endif()

if (NOT WIN32)
  list(APPEND ASMJIT_DEPS pthread)
endif()

if ("${CMAKE_SYSTEM_NAME}" MATCHES "Linux")
  list(APPEND ASMJIT_DEPS rt)
endif()

set(ASMJIT_LIBS ${ASMJIT_DEPS})
if (NOT ASMJIT_EMBED)
  list(INSERT ASMJIT_LIBS 0 asmjit)
endif()

if (ASMJIT_EMBED)
  set(ASMJIT_TARGET_TYPE "EMBED")
elseif (ASMJIT_STATIC)
  set(ASMJIT_TARGET_TYPE "STATIC")
else()
  set(ASMJIT_TARGET_TYPE "SHARED")
endif()

foreach(build_option ASMJIT_STATIC
                     ASMJIT_BUILD_X86
                     #ASMJIT_BUILD_ARM
                     ASMJIT_BUILD_A64
                     ASMJIT_NO_DEPRECATED
                     ASMJIT_NO_JIT
                     ASMJIT_NO_LOGGING
                     ASMJIT_NO_BUILDER
                     ASMJIT_NO_COMPILER
                     ASMJIT_NO_TEXT
                     ASMJIT_NO_VALIDATION
                     ASMJIT_NO_INTROSPECTION)
  if (${build_option})
    List(APPEND ASMJIT_CFLAGS         "-D${build_option}")
    List(APPEND ASMJIT_PRIVATE_CFLAGS "-D${build_option}")
  endif()
endforeach()

# =============================================================================
# [AsmJit - Linker Support]
# =============================================================================

if (WIN32)
  if(CMAKE_LINKER MATCHES "link\\.exe" OR CMAKE_LINKER MATCHES "lld-link\\.exe")
    set(ASMJIT_LINKER_SUPPORTS_NATVIS TRUE)
  endif()
endif()

# =============================================================================
# [AsmJit - Source]
# =============================================================================

set(ASMJIT_SRC_LIST
  asmjit/asmjit.h

  asmjit/core.h
  asmjit/core/api-build_p.h
  asmjit/core/api-config.h
  asmjit/core/arch.cpp
  asmjit/core/arch.h
  asmjit/core/assembler.cpp
  asmjit/core/assembler.h
  asmjit/core/builder.cpp
  asmjit/core/builder.h
  asmjit/core/callconv.cpp
  asmjit/core/callconv.h
  asmjit/core/codebuffer.h
  asmjit/core/codebufferwriter_p.h
  asmjit/core/codeholder.cpp
  asmjit/core/codeholder.h
  asmjit/core/compiler.cpp
  asmjit/core/compiler.h
  asmjit/core/constpool.cpp
  asmjit/core/constpool.h
  asmjit/core/cpuinfo.cpp
  asmjit/core/cpuinfo.h
  asmjit/core/datatypes.h
  asmjit/core/emitter.cpp
  asmjit/core/emitter.h
  asmjit/core/emitterutils.cpp
  asmjit/core/emitterutils_p.h
  asmjit/core/environment.cpp
  asmjit/core/environment.h
